
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-omins
Summary:		Omins is a collection of LADSPA plugins, aimed at modular synthesizers
Version:		0.2.1
Release:		1699.1.pm.28
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			omins-%{version}.tar.bz2
URL:			http://download.savannah.gnu.org/releases/om-synth/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
Omins is a collection of ladspa plugins that are useful for modular
synths. This includes a formant filter, envelope generators,
probalistic switches, and rate converters.



%prep
%setup -q -n omins
./autogen.sh
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --install --force

%build
CPPFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--with-ladspa-dir=%{_libdir}/ladspa
%__make %{?_smp_mflags} \
	CPPFLAGS="$RPM_OPT_FLAGS"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.2.1-0.pm.1
- splitt-off from ladspa package
